""" Exception raised while the parsing process.
"""

class ParsingError(Exception):

    """ Error raised on a parsing error.
    """

    def __init__(self, msg, line=None, column=None):
        super(ParsingError, self).__init__(msg)
        self.line = line
        self.column = column
